Last Comment Bug 839318 - context-menu overflows depending on the total number of menu items regardless of whether they are hidden or not
: context-menu overflows depending on the total number of menu items regardless...
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: ---
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on:
Blocks: 839322
  Show dependency treegraph
 
Reported: 2013-02-07 16:59 PST by Dave Townsend [:mossop]
Modified: 2013-03-28 12:11 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/776 (355 bytes, text/html)
2013-02-08 10:28 PST, Dave Townsend [:mossop]
evold: review+
Details

Description Dave Townsend [:mossop] 2013-02-07 16:59:03 PST
If add-ons add 20 context menu items but only one is visible we should not overflow, but we do.
Comment 1 Dave Townsend [:mossop] 2013-02-08 10:28:11 PST
Created attachment 711898 [details]
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/776

Pointer to Github pull-request
Comment 2 [github robot] 2013-02-08 19:04:08 PST
Commits pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/83b1d8fc326829d71a23c06ed4e0a51b0c72502c
Bug 839318: context-menu should overflow based on the number of visible menu items.

https://github.com/mozilla/addon-sdk/commit/991638d83e13df8f353f3bf473e723df7964745f
Merge pull request #776 from Mossop/bug839318

Fix Bug 839318: context-menu should overflow based on the number of visible menu items r=@erikvold
Comment 3 [github robot] 2013-02-08 19:27:25 PST
Commit pushed to stabilization at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/056da994cc2802fdc2b23964e4080cb95bfecb1e
Bug 839318: context-menu should overflow based on the number of visible menu items.
(cherry picked from commit 83b1d8fc326829d71a23c06ed4e0a51b0c72502c)
Comment 4 [github robot] 2013-02-12 13:53:53 PST
Commit pushed to release at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/96f521489255504569233720f96811fa00c17c0e
Bug 839318: context-menu should overflow based on the number of visible menu items.
(cherry picked from commit 83b1d8fc326829d71a23c06ed4e0a51b0c72502c)
(cherry picked from commit 056da994cc2802fdc2b23964e4080cb95bfecb1e)
Comment 5 [github robot] 2013-03-28 12:11:02 PDT
Commit pushed to stabilization at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/96f521489255504569233720f96811fa00c17c0e
Bug 839318: context-menu should overflow based on the number of visible menu items.

Note You need to log in before you can comment on or make changes to this bug.